Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041243
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-07-02 16:252019-08-22 14:45
ReportershuehnerView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisionf70b1418b598
ProjectionnoneETAnoneTarget Version3.0PR19Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041243: DocFINFinAccTransaction.createFact is not using bind-params

DescriptionSeveral HQL in this file are not using bind-params

When fixing please apply new HQL-style to all HQL in this file.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041434 closedcollazoandy4 Apply HQL style guide to DocFINFinAccTransaction 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0113626)
collazoandy4 (developer)
2019-07-24 17:29

Test Plan
  Create a new Sales Invoice for Alimentos y Supermercados, S.A
    Complete the invoice and Add a Payment
  Go to Financial Account and select the previous transaction created and post it, check the process ends without errors
(0114089)
hgbot (developer)
2019-08-19 13:38

Repository: erp/devel/pi
Changeset: f70b1418b598d42c34866dabd71e65d8e6190b44
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Wed Jul 24 00:35:26 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/f70b1418b598d42c34866dabd71e65d8e6190b44 [^]

Fixes issue 41243: DocFINFinAccTransaction.createFact is not using bind-params

Added missing bind-params

---
M src/org/openbravo/erpCommon/ad_forms/DocFINFinAccTransaction.java
---
(0114091)
Sandrahuguet (developer)
2019-08-19 13:41

code review + testing ok
(0114234)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-02 16:25 shuehner New Issue
2019-07-02 16:25 shuehner Assigned To => Triage Finance
2019-07-02 16:25 shuehner Modules => Core
2019-07-02 16:25 shuehner Triggers an Emergency Pack => No
2019-07-02 16:25 shuehner Relationship added blocks 0038136
2019-07-04 12:16 shuehner Target Version => 3.0PR19Q4
2019-07-23 16:10 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-07-23 16:10 collazoandy4 Status new => scheduled
2019-07-24 17:29 collazoandy4 Note Added: 0113626
2019-08-19 11:33 Sandrahuguet Relationship added related to 0041434
2019-08-19 13:38 hgbot Checkin
2019-08-19 13:38 hgbot Note Added: 0114089
2019-08-19 13:38 hgbot Status scheduled => resolved
2019-08-19 13:38 hgbot Resolution open => fixed
2019-08-19 13:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f70b1418b598d42c34866dabd71e65d8e6190b44 [^]
2019-08-19 13:41 Sandrahuguet Review Assigned To => Sandrahuguet
2019-08-19 13:41 Sandrahuguet Note Added: 0114091
2019-08-19 13:41 Sandrahuguet Status resolved => closed
2019-08-19 13:41 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114234


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker